CURLOPT_SSL_ENABLE_ALPN(3)

NAME
CURLOPT_SSL_ENABLE_ALPN - enable ALPN

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSL_ENABLE_ALPN, long npn);

DESCRIPTION
Pass a long as parameter, 0 or 1 where 1 is for enable and 0 for disable. This option enables/disables ALPN in the SSL handshake (if the SSL backend libcurl is built to use supports it), which can be used to negotiate http2.

DEFAULT
1, enabled

PROTOCOLS
HTTP

EXAMPLE
TODO

AVAILABILITY
Added in 7.36.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_SSL_ENABLE_NPN(3), CURLOPT_SSL_OPTIONS(3),